function retval = plot3Df1 (f,xmin,xmax,N,title1,label)
tx = ty = linspace (xmin,xmax,N)';
[xx, yy] = meshgrid (tx, ty);
zz=zeros(N,N);
for i=1:N
  for j=1:N
    x1=[xx(i,j) yy(i,j)];
    zz(i,j)=f(x1);
  endfor
endfor
colormap ("default");
[Fx,Fy] = gradient (zz);
surf(zz,Fy+Fy);
shading interp;
endfunction